<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>NiceCRM</title>
    {% load static %}
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
</head>
<body>
    <div class="container">
        <div class="row justify-content-between">
            <header style="width:100%">
                <div>
                    <h1>{% block titel %}<a href="{% url 'home' %}">NiceCRM</a>{% endblock %}</h1>
                </div>
                <div class="row justify-content-between">
                    <div class="col-sm-8">
                        <ul>
                            {% for menu_item in menu %}
                            <a href="{{ menu_item.href }}">{{ menu_item.anchor }}({{ menu_item.count }})</a>
                            {% endfor %}
                        </ul>
                        <ul>
                            {% for function in functions %}
                            <a href="{{ function.href }}">{{ function.anchor }}</a>
                            {% endfor %}
                        </ul>
                    </div>
                    <div class="col-sm-4">
                        {% if user.is_authenticated %}
                            <span>Здраствуй, <a href="{% url 'profile' %}">{{ user.username }}</a></span>

                        <div><a href="{% url 'password_change' %}">Изменить пароль </a> <a href="{% url 'logout' %}">Выйти</a></div>
                        {% endif %}
                    </div>
                </div>
            </header>
        </div>
    </div>
    <main>
         <div class="container">
             {% if messages %}
                    <div class="row justify-content-between">
                    <ul>
                        {% for message in messages %}
                        <li {% if message.tags %} class="{{ message.tags }}"{% endif %}>
                            {{ message }}
                        </li>
                        {% endfor %}
                    </ul>
                    </div>
                {% endif %}
          <div class="row justify-content-center">
            <div class="col-12">
              <hr class="mt-0 mb-4">
              {% block content %}
              {% endblock %}
            </div>
          </div>
        </div>
    </main>
</body>
</html>